OnlyFans API
FanslyFollowing

List Following

Get the list of accounts the authenticated Fansly Account is following. Fansly only returns the account IDs here — use the Get User Details endpoint with the ids query parameter to hydrate them into full profiles.

GET
/api/fansly/{fanslyAccount}/following
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

limit?string

Number of accounts to return (1 - 100). Default = 20

offset?string

Number of accounts to skip for pagination. Default = 0

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/following?limit=20&offset=0"
{
  "data": {
    "following": [
      {
        "accountId": "800000000000000010"
      },
      {
        "accountId": "800000000000000011"
      },
      {
        "accountId": "800000000000000012"
      }
    ],
    "hasMore": false
  },
  "_pagination": {
    "next_page": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055809,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}